# ClientConnectionOptions | @coopenomics/sdk
Documentation for @coopenomics/sdk

# Interface ClientConnectionOptions

interface ClientConnectionOptions {
api_url : string;
chain_id : string;
chain_url : string;
headers ?: Record<string, string>;
username ?: string;
wif ?: string;
}

- Defined in components/sdk/src/types/client/index.ts:1

#####
Index

### Properties

api_url
chain_id
chain_url
headers?
username?
wif?

## Properties

### api_url

api_url: string

- Defined in components/sdk/src/types/client/index.ts:2

### chain_id

chain_id: string

- Defined in components/sdk/src/types/client/index.ts:5

### chain_url

chain_url: string

- Defined in components/sdk/src/types/client/index.ts:4

### `Optional` headers

headers?: Record<string, string>

- Defined in components/sdk/src/types/client/index.ts:3

### `Optional` username

username?: string

- Defined in components/sdk/src/types/client/index.ts:7

### `Optional` wif

wif?: string

- Defined in components/sdk/src/types/client/index.ts:6